package com.ejie.ab61.model.documento;

/**
 * Clase que contiene la informaciÃ³n de un documento aportado.
 *
 *  
 */
public class DocumentoAportado {

	/** Identificador del documento en el PID (oid) */
	private String oidPid;

	/** Identificador del documento en DOKUSI (oid) */
	private String oidDokusi;

	/**
	 * Constructor por defecto
	 */
	public DocumentoAportado() {
		// Constructor vacio
	}

	/**
	 * Constructor
	 *
	 * @param oidPid
	 *            Identificador del documento en el PID
	 * @param oidDokusi
	 *            Identificador del documento en DOKUSI
	 */
	public DocumentoAportado(String oidPid, String oidDokusi) {
		this.oidPid = oidPid;
		this.oidDokusi = oidDokusi;
	}

	/**
	 * Obtiene el campo oidPid
	 * 
	 * @return oidPid
	 */
	public String getOidPid() {
		return this.oidPid;
	}

	/**
	 * Establece el campo oidPid
	 * 
	 * @param oidPid
	 *            oidPid
	 */
	public void setOidPid(String oidPid) {
		this.oidPid = oidPid;
	}

	/**
	 * Obtiene el campo oidDokusi
	 * 
	 * @return oidDokusi
	 */
	public String getOidDokusi() {
		return this.oidDokusi;
	}

	/**
	 * Establece el campo oidDokusi
	 * 
	 * @param oidDokusi
	 *            oidDokusi
	 */
	public void setOidDokusi(String oidDokusi) {
		this.oidDokusi = oidDokusi;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "DocumentoAportado [oidPid=" + this.oidPid + ", oidDokusi=" + this.oidDokusi + "]";
	}

}
